Package org.opensaml.saml.metadata.resolver.index.impl

# Class SAMLArtifactMetadataIndex.EntityIDToSHA1SourceIDIndexingFunction

java.lang.Object
org.opensaml.saml.metadata.resolver.index.impl.SAMLArtifactMetadataIndex.EntityIDToSHA1SourceIDIndexingFunction

All Implemented Interfaces:
  `Function<EntityDescriptor,Set<MetadataIndexKey>>`

Enclosing class:
  SAMLArtifactMetadataIndex

public static class SAMLArtifactMetadataIndex.EntityIDToSHA1SourceIDIndexingFunction extends Object implements Function<EntityDescriptor,Set<MetadataIndexKey>>
Entity descriptor indexing function which produces a single `SAMLArtifactMetadataIndex.ArtifactSourceIDMetadataIndexKey` based on the SHA-1 digest of the UTF-8 encoding of the value of `EntityDescriptor.getEntityID()`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`EntityIDToSHA1SourceIDIndexingFunction()`

## Method Summary

Modifier and Type
Method
Description
`Set<MetadataIndexKey>`
`apply(EntityDescriptor descriptor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### EntityIDToSHA1SourceIDIndexingFunction

public EntityIDToSHA1SourceIDIndexingFunction()

## Method Details

### apply

@Nullable public Set<MetadataIndexKey> apply(@Nullable EntityDescriptor descriptor)

Specified by:
  `apply` in interface `Function<EntityDescriptor,Set<MetadataIndexKey>>`